# \Thelia\Model\BaseAddressQuery

Base class that represents a query for the 'address' table.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByName()
filterByCustomerId()
filterByTitleId()
filterByCompany()
filterByFirstname()
filterByLastname()
filterByAddress1()
filterByAddress2()
filterByAddress3()
filterByZipcode()
filterByCity()
filterByCountryId()
filterByPhone()
filterByCellphone()
filterByIsDefault()
filterByCreatedAt()
filterByUpdatedAt()
filterByCustomer()
joinCustomer()
useCustomerQuery()
filterByCustomerTitle()
joinCustomerTitle()
useCustomerTitleQuery()
filterByCountry()
joinCountry()
useCountryQuery()
filterByCartRelatedByAddressDeliveryId()
joinCartRelatedByAddressDeliveryId()
useCartRelatedByAddressDeliveryIdQuery()
filterByCartRelatedByAddressInvoiceId()
joinCartRelatedByAddressInvoiceId()
useCartRelatedByAddressInvoiceIdQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderById()
orderByName()
orderByCustomerId()
orderByTitleId()
orderByCompany()
orderByFirstname()
orderByLastname()
orderByAddress1()
orderByAddress2()
orderByAddress3()
orderByZipcode()
orderByCity()
orderByCountryId()
orderByPhone()
orderByCellphone()
orderByIsDefault()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByName()
groupByCustomerId()
groupByTitleId()
groupByCompany()
groupByFirstname()
groupByLastname()
groupByAddress1()
groupByAddress2()
groupByAddress3()
groupByZipcode()
groupByCity()
groupByCountryId()
groupByPhone()
groupByCellphone()
groupByIsDefault()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinCustomer()
rightJoinCustomer()
innerJoinCustomer()
leftJoinCustomerTitle()
rightJoinCustomerTitle()
innerJoinCustomerTitle()
leftJoinCountry()
rightJoinCountry()
innerJoinCountry()
leftJoinCartRelatedByAddressDeliveryId()
rightJoinCartRelatedByAddressDeliveryId()
innerJoinCartRelatedByAddressDeliveryId()
leftJoinCartRelatedByAddressInvoiceId()
rightJoinCartRelatedByAddressInvoiceId()
innerJoinCartRelatedByAddressInvoiceId()
findOne()
findOneOrCreate()
findOneById()
findOneByName()
findOneByCustomerId()
findOneByTitleId()
findOneByCompany()
findOneByFirstname()
findOneByLastname()
findOneByAddress1()
findOneByAddress2()
findOneByAddress3()
findOneByZipcode()
findOneByCity()
findOneByCountryId()
findOneByPhone()
findOneByCellphone()
findOneByIsDefault()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByName()
findByCustomerId()
findByTitleId()
findByCompany()
findByFirstname()
findByLastname()
findByAddress1()
findByAddress2()
findByAddress3()
findByZipcode()
findByCity()
findByCountryId()
findByPhone()
findByCellphone()
findByIsDefault()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Model/Base/AddressQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\AddressQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\AddressQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\AddressQuery

Returns a new ChildAddressQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\AddressQuery

#

static

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Address|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\Address|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\AddressQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\AddressQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByName()

    filterByName(string $name, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the name column

Example usage: `$query->filterByName('fooValue'); // WHERE name = 'fooValue' $query->filterByName('%fooValue%'); // WHERE name LIKE '%fooValue%'`

#### Parameters

string | $name | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCustomerId()

    filterByCustomerId(mixed $customerId, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the customer_id column

Example usage: `$query->filterByCustomerId(1234); // WHERE customer_id = 1234 $query->filterByCustomerId(array(12, 34)); // WHERE customer_id IN (12, 34) $query->filterByCustomerId(array('min' => 12)); // WHERE customer_id > 12`

#### Parameters

mixed | $customerId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByTitleId()

    filterByTitleId(mixed $titleId, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the title_id column

Example usage: `$query->filterByTitleId(1234); // WHERE title_id = 1234 $query->filterByTitleId(array(12, 34)); // WHERE title_id IN (12, 34) $query->filterByTitleId(array('min' => 12)); // WHERE title_id > 12`

#### Parameters

mixed | $titleId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByCompany()

    filterByCompany(string $company, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the company column

Example usage: `$query->filterByCompany('fooValue'); // WHERE company = 'fooValue' $query->filterByCompany('%fooValue%'); // WHERE company LIKE '%fooValue%'`

#### Parameters

string | $company | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByFirstname()

    filterByFirstname(string $firstname, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the firstname column

Example usage: `$query->filterByFirstname('fooValue'); // WHERE firstname = 'fooValue' $query->filterByFirstname('%fooValue%'); // WHERE firstname LIKE '%fooValue%'`

#### Parameters

string | $firstname | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByLastname()

    filterByLastname(string $lastname, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the lastname column

Example usage: `$query->filterByLastname('fooValue'); // WHERE lastname = 'fooValue' $query->filterByLastname('%fooValue%'); // WHERE lastname LIKE '%fooValue%'`

#### Parameters

string | $lastname | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByAddress1()

    filterByAddress1(string $address1, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the address1 column

Example usage: `$query->filterByAddress1('fooValue'); // WHERE address1 = 'fooValue' $query->filterByAddress1('%fooValue%'); // WHERE address1 LIKE '%fooValue%'`

#### Parameters

string | $address1 | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByAddress2()

    filterByAddress2(string $address2, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the address2 column

Example usage: `$query->filterByAddress2('fooValue'); // WHERE address2 = 'fooValue' $query->filterByAddress2('%fooValue%'); // WHERE address2 LIKE '%fooValue%'`

#### Parameters

string | $address2 | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByAddress3()

    filterByAddress3(string $address3, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the address3 column

Example usage: `$query->filterByAddress3('fooValue'); // WHERE address3 = 'fooValue' $query->filterByAddress3('%fooValue%'); // WHERE address3 LIKE '%fooValue%'`

#### Parameters

string | $address3 | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByZipcode()

    filterByZipcode(string $zipcode, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the zipcode column

Example usage: `$query->filterByZipcode('fooValue'); // WHERE zipcode = 'fooValue' $query->filterByZipcode('%fooValue%'); // WHERE zipcode LIKE '%fooValue%'`

#### Parameters

string | $zipcode | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCity()

    filterByCity(string $city, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the city column

Example usage: `$query->filterByCity('fooValue'); // WHERE city = 'fooValue' $query->filterByCity('%fooValue%'); // WHERE city LIKE '%fooValue%'`

#### Parameters

string | $city | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCountryId()

    filterByCountryId(mixed $countryId, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the country_id column

Example usage: `$query->filterByCountryId(1234); // WHERE country_id = 1234 $query->filterByCountryId(array(12, 34)); // WHERE country_id IN (12, 34) $query->filterByCountryId(array('min' => 12)); // WHERE country_id > 12`

#### Parameters

mixed | $countryId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByPhone()

    filterByPhone(string $phone, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the phone column

Example usage: `$query->filterByPhone('fooValue'); // WHERE phone = 'fooValue' $query->filterByPhone('%fooValue%'); // WHERE phone LIKE '%fooValue%'`

#### Parameters

string | $phone | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCellphone()

    filterByCellphone(string $cellphone, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the cellphone column

Example usage: `$query->filterByCellphone('fooValue'); // WHERE cellphone = 'fooValue' $query->filterByCellphone('%fooValue%'); // WHERE cellphone LIKE '%fooValue%'`

#### Parameters

string | $cellphone | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByIsDefault()

    filterByIsDefault(mixed $isDefault, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the is_default column

Example usage: `$query->filterByIsDefault(1234); // WHERE is_default = 1234 $query->filterByIsDefault(array(12, 34)); // WHERE is_default IN (12, 34) $query->filterByIsDefault(array('min' => 12)); // WHERE is_default > 12`

#### Parameters

mixed | $isDefault | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\AddressQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByCustomer()

    filterByCustomer(\Thelia\Model\Customer|\Propel\Runtime\Collection\ObjectCollection $customer, string $comparison) : \Thelia\Model\AddressQuery

Filter the query by a related \Thelia\Model\Customer object

#### Parameters

\Thelia\Model\Customer|\Propel\Runtime\Collection\ObjectCollection | $customer | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCustomer()

    joinCustomer(string $relationAlias, string $joinType) : \Thelia\Model\AddressQuery

Adds a JOIN clause to the query using the Customer relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### useCustomerQuery()

    useCustomerQuery(string $relationAlias, string $joinType) : \Thelia\Model\CustomerQuery

Use the Customer relation Customer object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CustomerQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByCustomerTitle()

    filterByCustomerTitle(\Thelia\Model\CustomerTitle|\Propel\Runtime\Collection\ObjectCollection $customerTitle, string $comparison) : \Thelia\Model\AddressQuery

Filter the query by a related \Thelia\Model\CustomerTitle object

#### Parameters

\Thelia\Model\CustomerTitle|\Propel\Runtime\Collection\ObjectCollection | $customerTitle | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCustomerTitle()

    joinCustomerTitle(string $relationAlias, string $joinType) : \Thelia\Model\AddressQuery

Adds a JOIN clause to the query using the CustomerTitle relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### useCustomerTitleQuery()

    useCustomerTitleQuery(string $relationAlias, string $joinType) : \Thelia\Model\CustomerTitleQuery

Use the CustomerTitle relation CustomerTitle object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CustomerTitleQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByCountry()

    filterByCountry(\Thelia\Model\Country|\Propel\Runtime\Collection\ObjectCollection $country, string $comparison) : \Thelia\Model\AddressQuery

Filter the query by a related \Thelia\Model\Country object

#### Parameters

\Thelia\Model\Country|\Propel\Runtime\Collection\ObjectCollection | $country | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCountry()

    joinCountry(string $relationAlias, string $joinType) : \Thelia\Model\AddressQuery

Adds a JOIN clause to the query using the Country relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### useCountryQuery()

    useCountryQuery(string $relationAlias, string $joinType) : \Thelia\Model\CountryQuery

Use the Country relation Country object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CountryQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByCartRelatedByAddressDeliveryId()

    filterByCartRelatedByAddressDeliveryId(\Thelia\Model\Cart|\Propel\Runtime\Collection\ObjectCollection $cart, string $comparison) : \Thelia\Model\AddressQuery

Filter the query by a related \Thelia\Model\Cart object

#### Parameters

\Thelia\Model\Cart|\Propel\Runtime\Collection\ObjectCollection | $cart | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCartRelatedByAddressDeliveryId()

    joinCartRelatedByAddressDeliveryId(string $relationAlias, string $joinType) : \Thelia\Model\AddressQuery

Adds a JOIN clause to the query using the CartRelatedByAddressDeliveryId relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### useCartRelatedByAddressDeliveryIdQuery()

    useCartRelatedByAddressDeliveryIdQuery(string $relationAlias, string $joinType) : \Thelia\Model\CartQuery

Use the CartRelatedByAddressDeliveryId relation Cart object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CartQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### filterByCartRelatedByAddressInvoiceId()

    filterByCartRelatedByAddressInvoiceId(\Thelia\Model\Cart|\Propel\Runtime\Collection\ObjectCollection $cart, string $comparison) : \Thelia\Model\AddressQuery

Filter the query by a related \Thelia\Model\Cart object

#### Parameters

\Thelia\Model\Cart|\Propel\Runtime\Collection\ObjectCollection | $cart | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### joinCartRelatedByAddressInvoiceId()

    joinCartRelatedByAddressInvoiceId(string $relationAlias, string $joinType) : \Thelia\Model\AddressQuery

Adds a JOIN clause to the query using the CartRelatedByAddressInvoiceId relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### useCartRelatedByAddressInvoiceIdQuery()

    useCartRelatedByAddressInvoiceIdQuery(string $relationAlias, string $joinType) : \Thelia\Model\CartQuery

Use the CartRelatedByAddressInvoiceId relation Cart object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CartQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### prune()

    prune(\Thelia\Model\Address $address) : \Thelia\Model\AddressQuery

Exclude object from result

#### Parameters

\Thelia\Model\Address | $address | Object to remove from the list of results

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the address table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildAddress or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\AddressQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\AddressQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\AddressQuery

Order by update date desc

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\AddressQuery

Order by update date asc

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\AddressQuery

Order by create date desc

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\AddressQuery

Order by create date asc

#### Returns

\Thelia\Model\AddressQuery —

The current query, for fluid interface

#

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\AddressQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByName()

    orderByName($order =) : \Thelia\Model\AddressQuery

Order by the name column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByCustomerId()

    orderByCustomerId($order =) : \Thelia\Model\AddressQuery

Order by the customer_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByTitleId()

    orderByTitleId($order =) : \Thelia\Model\AddressQuery

Order by the title_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByCompany()

    orderByCompany($order =) : \Thelia\Model\AddressQuery

Order by the company column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByFirstname()

    orderByFirstname($order =) : \Thelia\Model\AddressQuery

Order by the firstname column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByLastname()

    orderByLastname($order =) : \Thelia\Model\AddressQuery

Order by the lastname column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByAddress1()

    orderByAddress1($order =) : \Thelia\Model\AddressQuery

Order by the address1 column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByAddress2()

    orderByAddress2($order =) : \Thelia\Model\AddressQuery

Order by the address2 column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByAddress3()

    orderByAddress3($order =) : \Thelia\Model\AddressQuery

Order by the address3 column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByZipcode()

    orderByZipcode($order =) : \Thelia\Model\AddressQuery

Order by the zipcode column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByCity()

    orderByCity($order =) : \Thelia\Model\AddressQuery

Order by the city column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByCountryId()

    orderByCountryId($order =) : \Thelia\Model\AddressQuery

Order by the country_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByPhone()

    orderByPhone($order =) : \Thelia\Model\AddressQuery

Order by the phone column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByCellphone()

    orderByCellphone($order =) : \Thelia\Model\AddressQuery

Order by the cellphone column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByIsDefault()

    orderByIsDefault($order =) : \Thelia\Model\AddressQuery

Order by the is_default column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\AddressQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\AddressQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\AddressQuery

Group by the id column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByName()

    groupByName() : \Thelia\Model\AddressQuery

Group by the name column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByCustomerId()

    groupByCustomerId() : \Thelia\Model\AddressQuery

Group by the customer_id column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByTitleId()

    groupByTitleId() : \Thelia\Model\AddressQuery

Group by the title_id column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByCompany()

    groupByCompany() : \Thelia\Model\AddressQuery

Group by the company column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByFirstname()

    groupByFirstname() : \Thelia\Model\AddressQuery

Group by the firstname column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByLastname()

    groupByLastname() : \Thelia\Model\AddressQuery

Group by the lastname column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByAddress1()

    groupByAddress1() : \Thelia\Model\AddressQuery

Group by the address1 column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByAddress2()

    groupByAddress2() : \Thelia\Model\AddressQuery

Group by the address2 column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByAddress3()

    groupByAddress3() : \Thelia\Model\AddressQuery

Group by the address3 column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByZipcode()

    groupByZipcode() : \Thelia\Model\AddressQuery

Group by the zipcode column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByCity()

    groupByCity() : \Thelia\Model\AddressQuery

Group by the city column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByCountryId()

    groupByCountryId() : \Thelia\Model\AddressQuery

Group by the country_id column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByPhone()

    groupByPhone() : \Thelia\Model\AddressQuery

Group by the phone column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByCellphone()

    groupByCellphone() : \Thelia\Model\AddressQuery

Group by the cellphone column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByIsDefault()

    groupByIsDefault() : \Thelia\Model\AddressQuery

Group by the is_default column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\AddressQuery

Group by the created_at column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\AddressQuery

Group by the updated_at column

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\AddressQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\AddressQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\AddressQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### leftJoinCustomer()

    leftJoinCustomer($relationAlias =) : \Thelia\Model\AddressQuery

Adds a LEFT JOIN clause to the query using the Customer relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### rightJoinCustomer()

    rightJoinCustomer($relationAlias =) : \Thelia\Model\AddressQuery

Adds a RIGHT JOIN clause to the query using the Customer relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### innerJoinCustomer()

    innerJoinCustomer($relationAlias =) : \Thelia\Model\AddressQuery

Adds a INNER JOIN clause to the query using the Customer relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### leftJoinCustomerTitle()

    leftJoinCustomerTitle($relationAlias =) : \Thelia\Model\AddressQuery

Adds a LEFT JOIN clause to the query using the CustomerTitle relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### rightJoinCustomerTitle()

    rightJoinCustomerTitle($relationAlias =) : \Thelia\Model\AddressQuery

Adds a RIGHT JOIN clause to the query using the CustomerTitle relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### innerJoinCustomerTitle()

    innerJoinCustomerTitle($relationAlias =) : \Thelia\Model\AddressQuery

Adds a INNER JOIN clause to the query using the CustomerTitle relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### leftJoinCountry()

    leftJoinCountry($relationAlias =) : \Thelia\Model\AddressQuery

Adds a LEFT JOIN clause to the query using the Country relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### rightJoinCountry()

    rightJoinCountry($relationAlias =) : \Thelia\Model\AddressQuery

Adds a RIGHT JOIN clause to the query using the Country relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### innerJoinCountry()

    innerJoinCountry($relationAlias =) : \Thelia\Model\AddressQuery

Adds a INNER JOIN clause to the query using the Country relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### leftJoinCartRelatedByAddressDeliveryId()

    leftJoinCartRelatedByAddressDeliveryId($relationAlias =) : \Thelia\Model\AddressQuery

Adds a LEFT JOIN clause to the query using the CartRelatedByAddressDeliveryId relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### rightJoinCartRelatedByAddressDeliveryId()

    rightJoinCartRelatedByAddressDeliveryId($relationAlias =) : \Thelia\Model\AddressQuery

Adds a RIGHT JOIN clause to the query using the CartRelatedByAddressDeliveryId relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### innerJoinCartRelatedByAddressDeliveryId()

    innerJoinCartRelatedByAddressDeliveryId($relationAlias =) : \Thelia\Model\AddressQuery

Adds a INNER JOIN clause to the query using the CartRelatedByAddressDeliveryId relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### leftJoinCartRelatedByAddressInvoiceId()

    leftJoinCartRelatedByAddressInvoiceId($relationAlias =) : \Thelia\Model\AddressQuery

Adds a LEFT JOIN clause to the query using the CartRelatedByAddressInvoiceId relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### rightJoinCartRelatedByAddressInvoiceId()

    rightJoinCartRelatedByAddressInvoiceId($relationAlias =) : \Thelia\Model\AddressQuery

Adds a RIGHT JOIN clause to the query using the CartRelatedByAddressInvoiceId relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### innerJoinCartRelatedByAddressInvoiceId()

    innerJoinCartRelatedByAddressInvoiceId($relationAlias =) : \Thelia\Model\AddressQuery

Adds a INNER JOIN clause to the query using the CartRelatedByAddressInvoiceId relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AddressQuery

#

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\Address

Return the first ChildAddress matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\Address

Return the first ChildAddress matching the query, or a new ChildAddress object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\Address

Return the first ChildAddress filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByName()

    findOneByName(string $name) : \Thelia\Model\Address

Return the first ChildAddress filtered by the name column

#### Parameters

string | $name |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByCustomerId()

    findOneByCustomerId(int $customer_id) : \Thelia\Model\Address

Return the first ChildAddress filtered by the customer_id column

#### Parameters

int | $customer_id |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByTitleId()

    findOneByTitleId(int $title_id) : \Thelia\Model\Address

Return the first ChildAddress filtered by the title_id column

#### Parameters

int | $title_id |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByCompany()

    findOneByCompany(string $company) : \Thelia\Model\Address

Return the first ChildAddress filtered by the company column

#### Parameters

string | $company |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByFirstname()

    findOneByFirstname(string $firstname) : \Thelia\Model\Address

Return the first ChildAddress filtered by the firstname column

#### Parameters

string | $firstname |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByLastname()

    findOneByLastname(string $lastname) : \Thelia\Model\Address

Return the first ChildAddress filtered by the lastname column

#### Parameters

string | $lastname |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByAddress1()

    findOneByAddress1(string $address1) : \Thelia\Model\Address

Return the first ChildAddress filtered by the address1 column

#### Parameters

string | $address1 |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByAddress2()

    findOneByAddress2(string $address2) : \Thelia\Model\Address

Return the first ChildAddress filtered by the address2 column

#### Parameters

string | $address2 |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByAddress3()

    findOneByAddress3(string $address3) : \Thelia\Model\Address

Return the first ChildAddress filtered by the address3 column

#### Parameters

string | $address3 |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByZipcode()

    findOneByZipcode(string $zipcode) : \Thelia\Model\Address

Return the first ChildAddress filtered by the zipcode column

#### Parameters

string | $zipcode |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByCity()

    findOneByCity(string $city) : \Thelia\Model\Address

Return the first ChildAddress filtered by the city column

#### Parameters

string | $city |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByCountryId()

    findOneByCountryId(int $country_id) : \Thelia\Model\Address

Return the first ChildAddress filtered by the country_id column

#### Parameters

int | $country_id |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByPhone()

    findOneByPhone(string $phone) : \Thelia\Model\Address

Return the first ChildAddress filtered by the phone column

#### Parameters

string | $phone |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByCellphone()

    findOneByCellphone(string $cellphone) : \Thelia\Model\Address

Return the first ChildAddress filtered by the cellphone column

#### Parameters

string | $cellphone |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByIsDefault()

    findOneByIsDefault(int $is_default) : \Thelia\Model\Address

Return the first ChildAddress filtered by the is_default column

#### Parameters

int | $is_default |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\Address

Return the first ChildAddress filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\Address

Return the first ChildAddress filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\Address

#

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildAddress objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

## Tags

None found

### findByName()

    findByName(string $name) : array

Return ChildAddress objects filtered by the name column

#### Parameters

string | $name |

#### Returns

array

#

## Tags

None found

### findByCustomerId()

    findByCustomerId(int $customer_id) : array

Return ChildAddress objects filtered by the customer_id column

#### Parameters

int | $customer_id |

#### Returns

array

#

## Tags

None found

### findByTitleId()

    findByTitleId(int $title_id) : array

Return ChildAddress objects filtered by the title_id column

#### Parameters

int | $title_id |

#### Returns

array

#

## Tags

None found

### findByCompany()

    findByCompany(string $company) : array

Return ChildAddress objects filtered by the company column

#### Parameters

string | $company |

#### Returns

array

#

## Tags

None found

### findByFirstname()

    findByFirstname(string $firstname) : array

Return ChildAddress objects filtered by the firstname column

#### Parameters

string | $firstname |

#### Returns

array

#

## Tags

None found

### findByLastname()

    findByLastname(string $lastname) : array

Return ChildAddress objects filtered by the lastname column

#### Parameters

string | $lastname |

#### Returns

array

#

## Tags

None found

### findByAddress1()

    findByAddress1(string $address1) : array

Return ChildAddress objects filtered by the address1 column

#### Parameters

string | $address1 |

#### Returns

array

#

## Tags

None found

### findByAddress2()

    findByAddress2(string $address2) : array

Return ChildAddress objects filtered by the address2 column

#### Parameters

string | $address2 |

#### Returns

array

#

## Tags

None found

### findByAddress3()

    findByAddress3(string $address3) : array

Return ChildAddress objects filtered by the address3 column

#### Parameters

string | $address3 |

#### Returns

array

#

## Tags

None found

### findByZipcode()

    findByZipcode(string $zipcode) : array

Return ChildAddress objects filtered by the zipcode column

#### Parameters

string | $zipcode |

#### Returns

array

#

## Tags

None found

### findByCity()

    findByCity(string $city) : array

Return ChildAddress objects filtered by the city column

#### Parameters

string | $city |

#### Returns

array

#

## Tags

None found

### findByCountryId()

    findByCountryId(int $country_id) : array

Return ChildAddress objects filtered by the country_id column

#### Parameters

int | $country_id |

#### Returns

array

#

## Tags

None found

### findByPhone()

    findByPhone(string $phone) : array

Return ChildAddress objects filtered by the phone column

#### Parameters

string | $phone |

#### Returns

array

#

## Tags

None found

### findByCellphone()

    findByCellphone(string $cellphone) : array

Return ChildAddress objects filtered by the cellphone column

#### Parameters

string | $cellphone |

#### Returns

array

#

## Tags

None found

### findByIsDefault()

    findByIsDefault(int $is_default) : array

Return ChildAddress objects filtered by the is_default column

#### Parameters

int | $is_default |

#### Returns

array

#

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildAddress objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildAddress objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Address

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Address —

A model object, or null if the key is not found

#

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Address|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Address|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### AddressQuery.php